package ${pkg}.model;
<#import "/codegen/commons.ftl" as CodeGen>

import lombok.Getter;
import lombok.Setter;
import ${tableAnnotationClassName};
<#if baseModelFullName?has_content>
import ${baseModelFullName};
</#if>
<#list imports as p>
import ${p};
</#list>

${objDoc}
@Getter
@Setter
@${tableAnnotationName}("${table}")
public class ${ModelName} extends ${baseModelName} {
    private static final long serialVersionUID = 1L;

    // Column Names
<#list cols as prop>
    public static final String ${prop.col?upper_case} = "${prop.col}";
</#list>

    // Properties
<#list cols as prop>
	private ${prop.javaType} ${prop.name};
</#list>

}
