package me.chyxion.tigon.mybatis.test.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;
import me.chyxion.tigon.model.M3;
import me.chyxion.tigon.mybatis.NotUpdate;
import me.chyxion.tigon.mybatis.NotUpdateWhenNull;
import me.chyxion.tigon.mybatis.Table;

/**
 * @version 0.0.1
 * @author Auto Generated <br>
 * Tech Support <a href="mailto:chyxion@163.com">Shaun Chyxion</a><br>
 * Jun 7, 2017 8:43:52 PM
 */
@Getter
@Setter
@Table("crm_user")
public class User extends M3<String, String> {
    private static final long serialVersionUID = 1L;

    // roles
    public static final String ROLE_ADMIN = "ADMIN";

    // Column Names
    public static final String ACCOUNT = "account";
    public static final String EMPLOYEE_ID = "employee_id";
    public static final String PASSWORD = "password";
    public static final String MOBILE = "mobile";
    public static final String EMAIL = "email";
    public static final String NAME = "name";
    public static final String EN_NAME = "en_name";
    public static final String GENDER = "gender";
    public static final String ADMIN = "admin";

    // Properties
	private String account;
	@NotUpdate
	private String employeeId;
	@NotUpdateWhenNull
	@JSONField(serialize = false)
	private String password;
	private String mobile;
	private String email;
	private String name;
    private String enName;
	private String gender;
	private boolean admin;
}
